import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.layout.*;

public class Output {
	Display display;
	Shell shell;
	Text text;
	public Output(Display display) {
		this.display = display;
		createContents();
	}
	private void createContents() {
		shell = new Shell(display);
		
		FillLayout l = new FillLayout();
		shell.setLayout(l);
		
		text = new Text(shell, SWT.MULTI | SWT.BORDER | SWT.READ_ONLY | SWT.H_SCROLL | SWT.V_SCROLL);

		shell.pack();
		shell.setSize(500, 500);
	}
	
	public void setText(String data) {
		if (shell.isDisposed()) {
			createContents();
		}
		text.setText(data);
	}
	
	public void open() {
		if (shell.isDisposed()) {
			createContents();
		}
		shell.open();
	}
}
